Getting Readyedit

All Beats are written in Go, so having Go installed and knowing the basics are prerequisites for understanding this guide.

Before you begin: Set up your Go environment as described under Setting Up Your Dev Environment in Contributing to Beats. The minimum required Go version is 1.13.10.

To build your Beat on a specific version of libbeat, check out the specific branch (master in the example below):

cd ${GOPATH}/src/github.com/elastic/beats
git checkout master